### Function

# EvinceDocument mkstemp_file

#### Declaration [src]

    GFile*
    ev_mkstemp_file (
      const char* tmpl,
      GError** error
    )

#### Description [src]

Creates a temp `GFile` in the evince temp directory. See `ev_mkstemp()` for more information.

#### Parameters

`tmpl` | `const char*`
| A template string; must contain ‘XXXXXX’, but not necessarily as a suffix.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GFile`
| A newly allocated `GFile` for the newly created temp file name, or `NULL` on error with `error` filled in.
| The caller of the function takes ownership of the data, and is responsible for freeing it.